#ifndef __BENEWAKE_LIDAR_H
#define __BENEWAKE_LIDAR_H
#include "sys.h"

// θú궨  ʾתӰ幦ܲ
#define LIDAR_ON_FLAG

struct nearest_pixel
{
    u16 distance;
    s8  angle;
};

#define TO_LIADAR_CMD_ID             0x606
#define FROM_LIADAR_DATA_ID          0x586
#define FROM_LIADAR_HEART_ID         0x587

#define ERR_CENTER_FLAG           (uint8_t)0x01
#define ERR_ABNORMAL_FLAG         (uint8_t)0x02

#define protocol_FALSHHOLD  0x01 // ͨЭ
#define protocol_MUXING     0x02 // ͨЭ
#define protocol_BENEWAKE   0x00 // ͨͨЭ

int lidar_start(u8 line_number, u8 mode, u16 Xc, u16 Zc, u8 fps);
int lidar_stop(void);
struct nearest_pixel *lidar_recv_msg(CanRxMsg *msg, u8 ProtocolMode);
void lidar_send_msg(u8 ProtocolMode);
void lidar_on_flag_reset(void);
void lidar_on_flag_LED(void);
uint8_t lidar_get_error_flag(void);
#endif
