#ifndef __USART_H
#define __USART_H
#include "stdio.h"
#include "sys.h"

// ݳ
#define PACKGE_LEGNTH           0x8
#define HEADER_LENGTH           0x2
#define PAYLOAD_LENGTH          (PACKGE_LEGNTH - HEADER_LENGTH)

// ڻָ
#define ACK                  (uint8_t)0x90
#define ERR_LOST_CONNECT     (uint8_t)0x91
#define ERR_PARA             (uint8_t)0x92
#define ERR_CENTER           (uint8_t)0x93
#define ERR_ABNORMAL         (uint8_t)0x94

// ж״̬ö
enum
{
    sta_FirstByte = 0,
    sta_SecondByte,
    sta_DataByte,
};

// ֡ͷṹ
typedef struct
{
    uint8_t frame_header[2];
    uint8_t mode[2];
}lidar_hdr;

// PC˷ָ
#define Tx_Buf_Size   2000
typedef struct
{
    uint16_t flag;                    // 0 -    1 - ʹ
    uint16_t idx;                     // 
    uint8_t  data[sizeof(lidar_hdr) + Tx_Buf_Size];   // 
}AUX_TxBuff_TypeDef;

// 
void USART1_Init(uint32_t bound);
void USART_SendOneByte(uint8_t Data);
void USART_SendBuff(uint8_t *Buff, uint16_t Length);
void USART2_Init(uint32_t Bound);

#endif

