#ifndef __CAN_H
#define __CAN_H
#include "sys.h"


#define CAN_BOUND_1000          1000
#define CAN_BOUND_500           500
#define CAN_BOUND_250           250

/*************************************************
Function: CAN1_Init
Description: CANʼ
Input: Param1 - bound
       Param2 - mode:CAN_Mode_Normal,ͨģʽ;CAN_Mode_LoopBack,ػģʽ;
Output: none
Return: none
Others: 1m bound
*************************************************/
void CAN1_Init(uint32_t Param1, uint32_t Param2);

/*************************************************
Function:       CAN1_Send
Description:    CAN
Input:          data - Ҫ
                len - ݳ
                id - CAN-ID
Output: none
Return: none
Others: none
*************************************************/
void CAN1_Send(uint8_t *data,uint16_t len,uint32_t id);

#endif

