#ifndef __MSG_H
#define __MSG_H

#include "sys.h"

#define MSG_LENGTH                          64
#define MSG_MASK                            0x3f

#define MSG_NULL                            0x00
#define MSG_TYPE_PC_DATA                    0x01
#define MSG_TYPE_CE30_DATA                  0x02

typedef struct
{
    uint32_t msg_type;      // Ϣ
    uint32_t msg_data;      // Ϣ-ÿΪ0
}Msg_Data;

typedef struct
{

    uint16_t r_idx;         // 
    uint16_t w_idx;         // д
    Msg_Data msgqueue[MSG_LENGTH];     // Ϣ
}Msg_Buf;

/**
  * @brief  message queueʼ
  * @param  Msg - Ϣ
  * @retval None
  */
void MSG_Init(Msg_Buf *Msg);

/**
  * @brief  message queueȡһϢ
  * @param  Msg - Ϣ
  * @retval һϢ
  *         msg_type == MSG_NULL - ϢΪ
  */
Msg_Data MSG_Get(Msg_Buf *Msg);

/**
  * @brief  message queueһϢ
  * @param  Msg - Ϣ
  * @param  Message - ҪϢ
  * @retval 0 - ok
  *         -1 - Ϣ
  */
int MSG_Set(Msg_Buf *Msg, Msg_Data *Message);

/**
  * @brief  ϢеϢ
  * @param  Msg - Ϣ
  * @retval ϢеϢ
  */
int MSG_Num(Msg_Buf *Msg);


#endif

