#ifndef __TICKS_H
#define __TICKS_H

#include "sys.h"
/*************************************************
Function: SysTick_Init
Description: ʼSYSTICK
Input: uint8_t SysClk:ϵͳʱӣλMHZ
Output: none
Return: none
Others:
*************************************************/
void SysTick_Init(uint8_t SysClk);

/*************************************************
Function: SysTick_DelayMs
Description: MsΪλʱ
Input: uint32_t NUs
Output: none
Return: none
Others:
*************************************************/
void SysTick_DelayMs(uint16_t NMs);

/*************************************************
Function: SysTick_DelayUs
Description: USΪλʱ
Input: uint32_t NUs: ֵΪ139810
Output: none
Return: none
Others:
*************************************************/
void SysTick_DelayUs(uint32_t NUs);

/*************************************************
Function: SysTick_DelayCount
Description: ʱ
Input: uint32_t N
Output: none
Return: none
Others:
*************************************************/
void SysTick_DelayCount(uint32_t N);

/*************************************************
Function: SysTick_Open
Description: ʼʱ
Input:
Output: none
Return: none
Others:
*************************************************/
void SysTick_Open(void);

/*************************************************
Function: SysTick_Close
Description: ʱ侭SysTime * 0xffffff + SysCounts
Input: SysTimes
       SysCounts
Output: none
Return: none
Others:
*************************************************/
void SysTick_Close(uint16_t *SysTimes, uint32_t *SysCounts);

/*************************************************
Function: SysTick_Handler
Description: systickжϴ
Input: none
Output: none
Return: none
Others: ֻڲʱʱʹ
*************************************************/
void SysTick_Handler(void);
#endif





























